Debian Bug report logs - #433076
User not known to the underlying authentication module

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Hadar <whadar@gmail.com>

Date: Wed, 11 Apr 2007 08:48:02 UTC

Severity: important

Fixed in version live-initramfs/1.139.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-devel@lists.alioth.debian.org>:
Bug#418683; Package casper. Full text and rfc822 format available.

Acknowledgement sent to Hadar <whadar@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hadar <whadar@gmail.com>
To: submit@bugs.debian.org
Subject: User not known to the underlying authentication module
Date: Wed, 11 Apr 2007 11:39:15 +0300
[Message part 1 (text/plain, inline)]
Package: casper
Version: 1.81+debian-3
Severity: serious

When another user is added to the live system the boot fails with "User not
known to the underlying authentication module".
I get this when building etch image with live-helper and doing "useradd -p
12345 buggy" in the chroot.

The uid of the user is automatically set to 1000 in that case.
When specifying a uid smaller than 1000, or using -r (system user flag that
generates a smaller uid), everything works.
[Message part 2 (text/html, inline)]

Severity set to `important' from `serious' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2007 10:21:09 GMT) Full text and rfc822 format available.

Bug 418683 cloned as bug 433076. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2007 09:57:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `casper' to `live-initramfs'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2007 09:57:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hadar <whadar@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 433076-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 433076-close@bugs.debian.org
Subject: Bug#433076: fixed in live-initramfs 1.139.1-1
Date: Sat, 23 Aug 2008 23:17:05 +0000
Source: live-initramfs
Source-Version: 1.139.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.139.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-1.diff.gz
live-initramfs_1.139.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-1.dsc
live-initramfs_1.139.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-1_all.deb
live-initramfs_1.139.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.139.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Aug 2008 00:00:00 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.139.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 433076
Changes: 
 live-initramfs (1.139.1-1) unstable; urgency=medium
 .
   [ Ben Voui ]
   * Adding support for Virtio vd[a-z] drives.
 .
   [ Chris Lamb ]
   * Move loop-aes-tools to Suggests; live-helper should install them if
     required.
   * Remove unnecessary indentation level.
   * Modify hiding of harmless X.org reconfiguring messages.
   * Revert to using uid 1000 as PAM bug seems to have disappeared
     (Closes: #433076)
   * Hide error from attempting to "mount --move"
   * Rework ugly `echo "debug:..` message to use log_{begin,end}_msg.
   * Don't configure X.org if it's not installed.
   * Fix check for X.org.
   * Add an /etc/fstab to the initramfs to silence harmless "empty fstab"
     warnings.
   * Silence another "script-not-executable" message for a sourced library.
   * Add missing pipe. Thanks to Andreas Bombe.
   * Shamefully adding myself to CREDITS
   * Tidy "Disabling update-initramfs" message.
   * Re-order some commands so we don't call log_begin_msg without calling
     log_end_msg.
   * Don't configure X when /usr/bin/X does not exist.
   * Silence 'script-not-executable' lintian warning - live-functions script is
     always sourced.
   * Fix spacing in swirl.
   * Override log_*_msg to print nicer status text (until #494257 is merged).
   * Hide "overwriting possibly-customised configuration file" in X.org setup
     output.
   * Hide "Shadow passwords are now on" status message on bootup.
   * Remove a number of "${quiet}" checks - they are repeated in the log_*_msg
     functions.
   * Rework locale handling
   * Print friendly error message on live-initramfs panic.
   * Fix path issue with live-preseed causing noisy errors when booting.
   * Silence a number of annoying and distracting bootup messages.
   * Add missing "log_end_msg" to live-bottom/21xdriver.
   * Set different log messages for live-bottom/21{xdriver,xvidemode}.
   * Remove trailing "..." from calls to log_begin_msg - they get added anyway.
   * Move some arch-indep helper utilities to Build-Depends-Indep.
   * Set default cow_mountopt where the other defaults are used.
   * Don't use /sbin/losetup to test for '-r' option when the scripts just use
     "lostup"
 .
   [ Daniel Baumann ]
   * Updating authors file.
   * Merging casper 1.139.
   * Not going over the top with exclamation marks in the panic message.
   * Updating credits file.
   * Slightely adjusting to the more widespread used ascii swirl.
   * Merging casper 1.138.
   * Merging casper 1.137.
 .
   [ Marco Amadori ]
   * Added "-n" option to all mount commands, thanks to Peter Holik
     <peter@holik.at> for pointing this out.
   * Be sure that the discovered filesystem is not null.
   * The list of supported filesytems goes dynamic.
   * Added ntfs filesystem to the initramfs.
 .
   [ Michael Prokop ]
   * Move sourcing of live-functions in 38disable_restricted_manager to correct
     place.
 .
   [ Steven Shiau ]
   * Adding support for using tftp in fetch= parameter.
   * Another fix about using udevsettle or "udevadm settle".
Checksums-Sha1: 
 7321cdf73112f65c22405b5ea36683aac73c7e2b 1314 live-initramfs_1.139.1-1.dsc
 133df0883acf810adff72f97b716001c54867848 75646 live-initramfs_1.139.1.orig.tar.gz
 e31c911e74ce41a3369dec76cabf7132779bcd0b 8690 live-initramfs_1.139.1-1.diff.gz
 41ce3fb4349949724fa747ad3b7daa38b783bfe4 80686 live-initramfs_1.139.1-1_all.deb
Checksums-Sha256: 
 16c41e913dfb7080994bdc1ecb1504917031a5c237a75f86048c415c510c9a6b 1314 live-initramfs_1.139.1-1.dsc
 ca498b3643f5da465b3e2ae9b5af4b85559e40b133de75ad9d0ed818fd9316f8 75646 live-initramfs_1.139.1.orig.tar.gz
 506691057273726b9fd81f3540cf3dda84a05957f0e568376db395c1bd051c67 8690 live-initramfs_1.139.1-1.diff.gz
 adff7ce9ac478e2b5b8fa259f7f5f5318486bab7ae564d9ba1f76ab30df17a88 80686 live-initramfs_1.139.1-1_all.deb
Files: 
 2276cba2ec37dc9bc035643035df9ef9 1314 misc optional live-initramfs_1.139.1-1.dsc
 4a5d3896047038942c04a7234f3e54a9 75646 misc optional live-initramfs_1.139.1.orig.tar.gz
 2407fb5b6229b46ae6a9c61165256d93 8690 misc optional live-initramfs_1.139.1-1.diff.gz
 c55a5d9993fbc03a06e8ce0458916f0b 80686 misc optional live-initramfs_1.139.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiwlw4ACgkQ+C5cwEsrK54CXwCfeWiVK7wm18kGq0KSq6MenK53
NisAoMGYLL8vcvdkOqWsstYk/pPOFXmc
=YOZ8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Sep 2008 07:29:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:22:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.